본 한국어 번역은 사용자 편의를 위해 제공되는 기계 번역입니다. 영어 버전과 한국어 버전이 서로 어긋나는 경우에는 언제나 영어 버전이 우선합니다.

소프트웨어 업그레이드 강화 지침

기여자

공격을 방어하려면 StorageGRID 시스템 및 관련 서비스를 최신 상태로 유지해야 합니다.

StorageGRID 소프트웨어로 업그레이드합니다

가능하면 StorageGRID 소프트웨어를 최신 주요 릴리즈나 이전 주요 릴리즈로 업그레이드해야 합니다. StorageGRID를 최신 상태로 유지하면 알려진 취약점이 활성화되는 시간을 줄이고 전체 공격 노출 영역을 줄일 수 있습니다. 또한 최신 버전의 StorageGRID에는 이전 릴리즈에 포함되지 않은 보안 강화 기능이 포함되어 있는 경우가 많습니다.

핫픽스가 필요한 경우 NetApp은 가장 최근 릴리즈에 대한 업데이트를 만드는 데 우선 순위를 지정합니다. 일부 패치는 이전 릴리스와 호환되지 않을 수 있습니다.

최신 StorageGRID 릴리스 및 핫픽스를 다운로드하려면 StorageGRID 소프트웨어 다운로드 페이지로 이동하십시오. StorageGRID 소프트웨어 업그레이드에 대한 단계별 지침은 StorageGRID 업그레이드 지침을 참조하십시오. 핫픽스를 적용하는 방법은 복구 및 유지 관리 지침을 참조하십시오.

외부 서비스로 업그레이드

외부 서비스에는 StorageGRID에 간접적으로 영향을 주는 취약점이 있을 수 있습니다. StorageGRID가 의존하는 서비스를 최신 상태로 유지해야 합니다. 이러한 서비스에는 LDAP, KMS(또는 KMIP 서버), DNS 및 NTP가 포함됩니다.

NetApp 상호 운용성 매트릭스 툴을 사용하여 지원되는 버전 목록을 확인하십시오.

하이퍼바이저로 업그레이드

StorageGRID 노드가 VMware 또는 다른 하이퍼바이저에서 실행 중인 경우 하이퍼바이저 소프트웨어 및 펌웨어를 최신 상태로 유지해야 합니다.

NetApp 상호 운용성 매트릭스 툴을 사용하여 지원되는 버전 목록을 확인하십시오.

Linux 노드로 업그레이드합니다

StorageGRID 노드가 Linux 호스트 플랫폼을 사용하는 경우 보안 업데이트 및 커널 업데이트가 호스트 OS에 적용되었는지 확인해야 합니다. 또한 이러한 업데이트를 사용할 수 있게 되면 취약한 하드웨어에 펌웨어 업데이트를 적용해야 합니다.

NetApp 상호 운용성 매트릭스 툴을 사용하여 지원되는 버전 목록을 확인하십시오.